#
# spec file for package ghc-clckwrks-plugin-media
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name clckwrks-plugin-media
Name:           ghc-%{pkg_name}
Version:        0.6.16.4
Release:        8.9
Summary:        Media plugin for clckwrks
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-acid-state-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-clckwrks-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gd-devel
BuildRequires:  ghc-happstack-server-devel
BuildRequires:  ghc-hsp-devel
BuildRequires:  ghc-ixset-devel
BuildRequires:  ghc-magic-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-reform-devel
BuildRequires:  ghc-reform-happstack-devel
BuildRequires:  ghc-reform-hsp-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safecopy-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-web-plugins-devel
BuildRequires:  ghc-web-routes-devel
BuildRequires:  ghc-web-routes-th-devel

%description
Support for images and image gallerys.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/data
%{_datadir}/%{pkg_name}-%{version}/data/style.css

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.6.16.4.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.6.16.3 with cabal2obs.
* Mon Jan 30 2017 psimons@suse.com
- Update to version 0.6.16.2 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 0.6.16.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.16 revision 0 with cabal2obs.
